package com.dgtly.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 磁铁日志对象 sys_magnet_log
 * 
 * @author dgtly
 * @date 2021-07-29
 */
public class SysMagnetLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 访问者名称 */
    @Excel(name = "访问者名称")
    private String userName;

    /** 域账号 */
    @Excel(name = "域账号")
    private String loginName;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private String sapEmployeeId;

    /** 组织code */
    @Excel(name = "组织code")
    private String orgCode;

    /** 组织名称 */
    @Excel(name = "组织名称")
    private String orgName;

    /** 用户级别 */
    @Excel(name = "用户级别")
    private String level;

    /** 磁铁名称 */
    @Excel(name = "磁铁名称")
    private String magnetName;

    /** 创建时间 */
    @Excel(name = "访问时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setOrgCode(String orgCode) 
    {
        this.orgCode = orgCode;
    }

    public String getOrgCode() 
    {
        return orgCode;
    }
    public void setOrgName(String orgName) 
    {
        this.orgName = orgName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getSapEmployeeId() {
        return sapEmployeeId;
    }

    public void setSapEmployeeId(String sapEmployeeId) {
        this.sapEmployeeId = sapEmployeeId;
    }

    public String getOrgName()
    {
        return orgName;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setMagnetName(String magnetName) 
    {
        this.magnetName = magnetName;
    }

    public String getMagnetName() 
    {
        return magnetName;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("orgCode", getOrgCode())
            .append("orgName", getOrgName())
            .append("level", getLevel())
            .append("magnetName", getMagnetName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
